version: '2'
services:
  dashboards:
    image: grafana/grafana
    ports:
      - "3000:3000"

  metrics:
    image: influxdb:latest
    environment:
      INFLUXDB_DATA_ENGINE: tsm1
      INFLUXDB_DB: metrics
      INFLUXDB_USER: admin
      INFLUXDB_USER_PASSWORD: admin123

  broker:
    image: rabbitmq:latest
    volumes:
      - .docker/rabbitmq/enabled_plugins:/etc/rabbitmq/enabled_plugins

  satellite:
    build: ./majortom
    environment:
      MQTT_HOST: broker
      MQTT_PORT: 1883
      MQTT_KEEPALIVE: 60
      RANDOM_FAILURE: 10
      CLIENTID: satellite

  satellite2:
    image: satellogic-home-test_satellite:latest
    environment:
      MQTT_HOST: broker
      MQTT_PORT: 1883
      MQTT_KEEPALIVE: 60
      RANDOM_FAILURE: 10
      CLIENTID: satellite2

  control:
    build: ./spacecontrol
    environment:
      MQTT_HOST: broker
      MQTT_PORT: 1883
      MQTT_KEEPALIVE: 60
      RABBITMQ_HOST: broker
      RABBITMQ_PORT: 5672
      RANDOM_FAILURE: 10
      INFLUXDB_HOST: metrics
      INFLUXDB_DB: metrics
      INFLUXDB_USER: admin
      INFLUXDB_USER_PASSWORD: admin123